---
layout: mockup
title: "Files - Preferences - Views"
theme: Adwaita/Adwaita.css
permalink: nautilus/preferences/views
wallpaper: adwaita
---
<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/nautilus.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar grouped" title="Preferences">
		<!-- left button group -->
		<div class="button-group float-left">
		</div>
		<!-- center button group -->
		<div class="button-group float-center wide">
			<div class="view-switcher hide-on-mobile">
				<a class="active" href="{{ site.baseurl }}/nautilus/preferences/views"><div class="icon s16">{%- include symbolic/actions/view-reveal-symbolic.svg -%}</div><span>Views</span></a
				><a class="" href="{{ site.baseurl }}/nautilus/preferences/behavior"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-accessibility-pointing-symbolic.svg -%}</div><span>Behavior</span></a
				><a class="" href="{{ site.baseurl }}/nautilus/preferences/search"><div class="icon s16">{%- include symbolic/actions/edit-find-symbolic.svg -%}</div><span>Search</span></a
				><a class="" href="{{ site.baseurl }}/nautilus/preferences/thumbnails"><div class="icon s16">{%- include symbolic/mimetypes/image-x-generic-symbolic.svg -%}</div><span>Thumbnails</span></a>
			</div>
		</div>
		<!-- right button group -->
		<div class="button-group float-right"><a class="button image-button">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content">
		<div class="view">
			<!-- General -->
			<div class="row">
				<!-- <h4>General</h4> -->
				<ul class="listrow">
					<li>
						<label>Sidebar</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
					<li>
						<label>Sort folders before files</label>
						{%- include components/switch.html float = "right" checked = "" -%}
					</li>
					<li>
						<label>Expand folders in List view</label>
						{%- include components/switch.html float = "right" checked = "" -%}
					</li>
				</ul>
			</div>
			<!-- Icon View -->
			<div class="row">
				<h4>Icon View Captions</h4>
				<p>Additional information can be displayed beneath file and folder names in icon view. More information will appear when zooming closer.</p>
				<ul class="listrow">
					<li>
						<label>First</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="executableTextFilesStatus">Size</label>
					</li>
					<li>
						<label>Second</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="executableTextFilesStatus">None</label>
					</li>
					<li>
						<label>Third</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="executableTextFilesStatus">None</label>
					</li>
				</ul>
			</div>
			<!-- Icon View -->
			<div class="row">
				<h4>List View Columns</h4>
				<p>Choose what and the order of information that appears in the list view.</p>
				<script type="text/javascript">$.getScript('{{ site.baseurl }}/js/drag-n-drop.js');</script>
				<ul class="listrow drag-parent">
					<li class="insensitive">
						<label>Name</label>
						{%- include components/listrow-selection.html float = "right" checked = "checked" -%}
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" checked = "checked" -%}
						<label>Size</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" -%}
						<label>Type</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" -%}
						<label>Owner</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" -%}
						<label>Group</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" -%}
						<label>Permissions</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" -%}
						<label>Location</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" checked = "checked" -%}
						<label>Modified</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" -%}
						<label>Modified (Time)</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" -%}
						<label>Accessed</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" -%}
						<label>Recency</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right"  checked = "checked" -%}
						<label>Star</label>
					</li>
					<li class="drag-target" draggable="true">
						{%- include components/listrow-drag-handle.html -%}
						{%- include components/listrow-selection.html float = "right" -%}
						<label>Detailed Type</label>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<div class="toolbar bottom text-center show-on-mobile">
		<div class="view-switcher">
			<a class="active" href="{{ site.baseurl }}/nautilus/preferences/views"><div class="icon s16">{%- include symbolic/actions/view-reveal-symbolic.svg -%}</div><span>Views</span></a
			><a class="" href="{{ site.baseurl }}/nautilus/preferences/behavior"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-accessibility-pointing-symbolic.svg -%}</div><span>Behavior</span></a
			><a class="" href="{{ site.baseurl }}/nautilus/preferences/search"><div class="icon s16">{%- include symbolic/actions/edit-find-symbolic.svg -%}</div><span>Search</span></a
			><a class="" href="{{ site.baseurl }}/nautilus/preferences/thumbnails"><div class="icon s16">{%- include symbolic/mimetypes/image-x-generic-symbolic.svg -%}</div><span>Thumbnails</span></a>
		</div>
	</div>
</div>

<script type="text/javascript">
</script>